Subject: bug#77520: closed (Re: bug#77520: 30.1.50; Installed emacs is loading loadup.el from source)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Apr 2025 07:15:02 +0000

Your bug report

#77520: 30.1.50; Installed emacs is loading loadup.el from source

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77520: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77520
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77520: 30.1.50; Installed emacs is loading loadup.el from source
From: Eli Zaretskii <[email-masked]>
To: Lynn Winebarger <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Apr 2025 10:14:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Lynn Winebarger <[email-masked]>
> Date: Fri, 4 Apr 2025 22:26:23 -0400
> Cc: [email-masked]
> 
> On Fri, Apr 4, 2025 at 10:14 PM Lynn Winebarger <[email-masked]> wrote:
> >
> > On Fri, Apr 4, 2025 at 8:54 PM Lynn Winebarger <[email-masked]> wrote:
> > >
> > > On Fri, Apr 4, 2025 at 3:24 PM Lynn Winebarger <[email-masked]> wrote:
> > > >
> > > > On Fri, Apr 4, 2025 at 3:34 AM Eli Zaretskii <[email-masked]> wrote:
> > > > >
> > > > > > From: Lynn Winebarger <[email-masked]>
> > > > > > Date: Thu, 3 Apr 2025 21:28:05 -0400
> > > > > >
> > > > > > When I run './src/emacs-30.1.50 -Q' from the build directory, I get the
> > > > > > expected behavior.  I install the built emacs using "make install" into
> > > > > > /usr/local with some version-specific directories configured (see the
> > > > > > options) so I can have multiple major versions of emacs installed.  When
> > > > > > I run '/usr/local/bin/emacs-30.1.50 -Q', the following is displayed in
> > > > > > the terminal window:
> > > > > > ------
> > > > > > Loading loadup.el (source)...
> > > > > > Dump mode: nil
> > > > >
> > > > > This means Emacs cannot find its pdumper file.  You need to figure out
> > > > > why.  Crystal ball says you used some non-standard procedure for
> > > > > installing the built Emacs, so the pdumper file is either not
> > > > > installed or is installed under the name different from what EMacs
> > > > > looks for.
> > > >
> > > > Other than specifying version-specific paths in the configure (details
> > > > in bug report), I just used "make -j $(nproc)" and "sudo make
> > > > install".
> > > > I've used this approach for a while to maintain separate lisp
> > > > libraries and documentation while installing multiple versions of
> > > > emacs. (newlines added to shell output for visual clarity).
> > > >
> > > > ----------------------
> > > > owinebar@dev1:~/projects/emacs/emacs-30> ls /usr/local/bin/emacs*
> > > > /usr/local/bin/emacs        /usr/local/bin/emacs-28.3
> > > > /usr/local/bin/emacs-29.3.50  /usr/local/bin/emacs-30.1.50
> > > > /usr/local/bin/emacsclient  /usr/local/bin/emacs-29.0.91
> > > > /usr/local/bin/emacs-30.0.50
> > > >
> > > > owinebar@dev1:~/projects/emacs/emacs-30> ls /usr/local/lib/emacs/
> > > > 28.3/    29.0.91/ 29.3.50/ 30.0.50/ 30.1.50/
> > > >
> > > > owinebar@dev1:~/projects/emacs/emacs-30> ls /usr/local/lib/emacs/30.1.50/
> > > > x86_64-pc-linux-gnu
> > > >
> > > > owinebar@dev1:~/projects/emacs/emacs-30> ls
> > > > /usr/local/lib/emacs/30.1.50/x86_64-pc-linux-gnu/
> > > > emacs-915e4e5cb8d283f00a79086d479910f292af5fe7b2430c3eaae2631e73dab0d7.pdmp
> > > >  hexl      rcs2log
> > > > emacs-d016b46c0511d7b5a01304258481021fb366397c719be76601044696239ac9cf.pdmp
> > > >  movemail  update-game-score
> > > >
> > > > owinebar@dev1:~/projects/emacs/emacs-30> /usr/local/bin/emacs-30.1.50
> > > > --fingerprint
> > > > Not initialized
> > > >
> > > > owinebar@dev1:~/projects/emacs/emacs-30> ./BUILD/src/emacs-30.1.50.1
> > > > --fingerprint
> > > > d016b46c0511d7b5a01304258481021fb366397c719be76601044696239ac9cf
> > > > ----------------------
> > > > For comparison, I tried a previously installed copy of 30.0.50:
> > > > ----------------------
> > > > owinebar@dev1:~/projects/emacs/emacs-30> ls
> > > > /usr/local/lib/emacs/30.0.50/x86_64-pc-linux-gnu/
> > > > emacs-4c6b60663e1157be3085c73f1e2ac7187bc745455a7531f00d78a41d2fd1dbbd.pdmp
> > > >  emacs-bc4b7834c0e05bc2b531ab001a62a6546f5bde655069f59b363e75b428b1dde6.pdmp
> > > >  update-game-score
> > > > emacs-104460d468e0a372d127c340258407e60ce36cf166d4e182cfe9f46f70c6f5f9.pdmp
> > > >  hexl
> > > > emacs-a93e06357fd60c362c6a3db9e95355a96eb59830d567f7d01bb22c4ffb81bcad.pdmp
> > > >  rcs2log
> > > >
> > > > owinebar@dev1:~/projects/emacs/emacs-30> /usr/local/bin/emacs-30.0.50
> > > > --fingerprint
> > > > 104460d468e0a372d127c340258407e60ce36cf166d4e182cfe9f46f70c6f5f9
> > > > ----------------------
> > >
> > > I'm just going to see what's happening with gdb.  The last time I
> > > fiddled with emacs source was 28.x, and the dump file fingerprint
> > > logic wasn't part of it.
> >
> > Ok, it is setting PATH_EXEC to
> > "/usr/local/lib/emacs/31.0.50/x86_64-pc-linux-gnu", but the install is
> > to "/usr/local/lib/emacs/30.1.50/x86_64-pc-linux-gnu".
> > I'm building from the emacs-30 branch, so the version shouldn't be
> > 31.0.50, I think.
> 
> Ok, I failed to run autogen.sh in the source directory after switching
> to the emacs-30 branch.  User fail.  Please close.

Done.

Subject: 30.1.50; Installed emacs is loading loadup.el from source
From: Lynn Winebarger <[email-masked]>
To: [email-masked]
Date: Thu, 3 Apr 2025 21:28:05 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run './src/emacs-30.1.50 -Q' from the build directory, I get the
expected behavior.  I install the built emacs using "make install" into
/usr/local with some version-specific directories configured (see the
options) so I can have multiple major versions of emacs installed.  When
I run '/usr/local/bin/emacs-30.1.50 -Q', the following is displayed in
the terminal window:
------
Loading loadup.el (source)...
Dump mode: nil
Using load-path (/usr/local/share/emacs/30.1.50/lisp
/usr/local/share/emacs/30.1.50/lisp/emacs-lisp
/usr/local/share/emacs/30.1.50/lisp/progmodes
/usr/local/share/emacs/30.1.50/lisp/language
/usr/local/share/emacs/30.1.50/lisp/international
/usr/local/share/emacs/30.1.50/lisp/textmodes
/usr/local/share/emacs/30.1.50/lisp/vc)
Loading emacs-lisp/debug-early...
Loading emacs-lisp/debug-early...done
Loading emacs-lisp/byte-run...
Loading emacs-lisp/byte-run...done
Loading emacs-lisp/backquote...
Loading emacs-lisp/backquote...done
Loading subr...
Loading subr...done
Loading keymap...
Loading keymap...done
Loading version...
Loading version...done
Loading widget...
Loading widget...done
Loading custom...
Loading custom...done
Loading emacs-lisp/map-ynp...
Loading emacs-lisp/map-ynp...done
Loading international/mule...
Loading international/mule...done
Loading international/mule-conf...
Loading international/mule-conf...done
Loading env...
Loading env...done
Loading format...
Loading format...done
Loading bindings...
Loading bindings...done
Loading window...
Loading window...done
Loading files...
Loading files...done
Loading emacs-lisp/macroexp...
Loading emacs-lisp/macroexp...done
Loading cus-face...
Loading cus-face...done
Loading faces...
Loading faces...done
Loading loaddefs...
Loading /usr/local/share/emacs/30.1.50/lisp/theme-loaddefs.el (source)...
Loading /usr/local/share/emacs/30.1.50/lisp/theme-loaddefs.el (source)...done
Loading loaddefs...done
Loading button...
Loading button...done
Loading emacs-lisp/cl-preloaded...
Loading emacs-lisp/cl-preloaded...done
Loading emacs-lisp/oclosure...
Loading emacs-lisp/oclosure...done
Loading obarray...
Loading obarray...done
Loading abbrev...
Loading abbrev...done
Loading help...
Loading help...done
Loading jka-cmpr-hook...
Loading jka-cmpr-hook...done
Loading epa-hook...
Loading epa-hook...done
Loading international/mule-cmds...
Loading international/mule-cmds...done
Loading case-table...
Loading case-table...done
Loading /usr/local/share/emacs/30.1.50/lisp/international/charprop.el
(source)...
Loading /usr/local/share/emacs/30.1.50/lisp/international/charprop.el
(source)...done
Loading international/characters...
Loading international/characters...done
Loading composite...
Loading composite...done
Loading language/chinese...
Loading language/chinese...done
Loading language/cyrillic...
Loading language/cyrillic...done
Loading language/indian...
Loading language/indian...done
Loading language/sinhala...
Loading language/sinhala...done
Loading language/english...
Loading language/english...done
Loading language/ethiopic...
Loading language/ethiopic...done
Loading language/european...
Loading language/european...done
Loading language/czech...
Loading language/czech...done
Loading language/slovak...
Loading language/slovak...done
Loading language/romanian...
Loading language/romanian...done
Loading language/greek...
Loading language/greek...done
Loading language/hebrew...
Loading language/hebrew...done
Loading international/cp51932...
Loading international/cp51932...done
Loading international/eucjp-ms...
Loading international/eucjp-ms...done
Loading language/japanese...
Loading language/japanese...done
Loading language/korean...
Loading language/korean...done
Loading language/lao...
Loading language/lao...done
Loading language/tai-viet...
Loading language/tai-viet...done
Loading language/thai...
Loading language/thai...done
Loading language/tibetan...
Loading language/tibetan...done
Loading language/vietnamese...
Loading language/vietnamese...done
Loading language/misc-lang...
Loading language/misc-lang...done
Loading language/utf-8-lang...
Loading language/utf-8-lang...done
Loading language/georgian...
Loading language/georgian...done
Loading language/khmer...
Loading language/khmer...done
Loading language/burmese...
Loading language/burmese...done
Loading language/cham...
Loading language/cham...done
Loading language/philippine...
Loading language/philippine...done
Loading language/indonesian...
Loading language/indonesian...done
Loading indent...
Loading indent...done
Loading emacs-lisp/cl-generic...
Loading emacs-lisp/cl-generic...done
Loading simple...
Loading simple...done
Loading emacs-lisp/seq...
Loading emacs-lisp/seq...done
Loading emacs-lisp/nadvice...
Loading emacs-lisp/nadvice...done
Loading minibuffer...
Loading minibuffer...done
Loading frame...
Loading frame...done
Loading startup...
Loading startup...done
Loading term/tty-colors...
Loading term/tty-colors...done
Loading font-core...
Loading font-core...done
Loading emacs-lisp/syntax...
Loading emacs-lisp/syntax...done
Loading font-lock...
Loading font-lock...done
Loading jit-lock...
Loading jit-lock...done
Loading mouse...
Loading mouse...done
Loading scroll-bar...
Loading scroll-bar...done
Loading select...
Loading select...done
Loading emacs-lisp/timer...
Loading emacs-lisp/timer...done
Loading emacs-lisp/easymenu...
Loading emacs-lisp/easymenu...done
Loading isearch...
Loading isearch...done
Loading rfn-eshadow...
Loading rfn-eshadow...done
Loading menu-bar...
Loading menu-bar...done
Loading tab-bar...
Loading tab-bar...done
Loading emacs-lisp/lisp...
Loading emacs-lisp/lisp...done
Loading textmodes/page...
Loading textmodes/page...done
Loading register...
Loading register...done
Loading textmodes/paragraphs...
Loading textmodes/paragraphs...done
Loading progmodes/prog-mode...
Loading progmodes/prog-mode...done
Loading emacs-lisp/lisp-mode...
Loading emacs-lisp/lisp-mode...done
Loading textmodes/text-mode...
Loading textmodes/text-mode...done
Loading textmodes/fill...
Loading textmodes/fill...done
Loading newcomment...
Loading newcomment...done
Loading replace...
Loading replace...done
Loading emacs-lisp/tabulated-list...
Loading emacs-lisp/tabulated-list...done
Loading buff-menu...
Loading buff-menu...done
Loading fringe...
Loading fringe...done
Loading emacs-lisp/regexp-opt...
Loading emacs-lisp/regexp-opt...done
Loading image...
Loading image...done
Loading international/fontset...
Loading international/fontset...done
Loading dnd...
Loading dnd...done
Loading tool-bar...
Loading tool-bar...done
Loading dynamic-setting...
Loading dynamic-setting...done
Loading touch-screen...
Loading touch-screen...done
Loading x-dnd...
Loading x-dnd...done
Loading term/common-win...
Loading term/common-win...done
Loading term/x-win...
Loading term/x-win...done
Loading mwheel...
Loading mwheel...done
Loading progmodes/elisp-mode...
Loading progmodes/elisp-mode...done
Loading emacs-lisp/float-sup...
Loading emacs-lisp/float-sup...done
Loading vc/vc-hooks...
Loading vc/vc-hooks...done
Loading vc/ediff-hook...
Loading vc/ediff-hook...done
Loading uniquify...
Loading uniquify...done
Loading electric...
Loading electric...done
Loading paren...
Loading paren...done
Loading emacs-lisp/shorthands...
Loading emacs-lisp/shorthands...done
Loading emacs-lisp/eldoc...
Loading emacs-lisp/eldoc...done
Loading emacs-lisp/cconv...
Loading emacs-lisp/cconv...done
Loading cus-start...
Loading cus-start...done
Loading tooltip...
Loading tooltip...done
Loading international/iso-transl...
Loading international/iso-transl...done
Loading emacs-lisp/rmc...
Loading emacs-lisp/rmc...done
Loading /usr/local/share/emacs/30.1.50/lisp/leim/leim-list.el (source)...
Loading /usr/local/share/emacs/30.1.50/lisp/leim/leim-list.el (source)...done
Finding pointers to doc strings...
Finding pointers to doc strings...done
---------------

In GNU Emacs 30.1.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.34, cairo version 1.16.0) of 2025-04-03 built on
 dev1.olwresearch.com
Windowing system distributor 'The X.Org Foundation', version 11.0.12101011
System Description: openSUSE Leap 15.6

Configured using:
 'configure --infodir=/usr/local/share/emacs/30/share/info
 --mandir=/usr/local/share/emacs/30/share/man
 --docdir=/usr/local/share/emacs/30/share/doc/emacs
 --localedir=/usr/local/share/emacs/30/share/locale'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  minibuffer-regexp-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date subr-x
cl-loaddefs cl-lib rmc iso-transl tooltip cus-start cconv eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd touch-screen tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo gtk
x-toolkit xinput2 x multi-tty move-toolbar make-network-process emacs)

Memory information:
((conses 16 188219 22990) (symbols 48 21967 0) (strings 32 54381 3496)
 (string-bytes 1 1274237) (vectors 16 34665)
 (vector-slots 8 1223310 138052) (floats 8 194 18)
 (intervals 56 377 21) (buffers 992 11))